aboutsummaryrefslogtreecommitdiffstats
path: root/desktop-file.prov
diff options
context:
space:
mode:
Diffstat (limited to 'desktop-file.prov')
-rwxr-xr-xdesktop-file.prov23
1 files changed, 23 insertions, 0 deletions
diff --git a/desktop-file.prov b/desktop-file.prov
new file mode 100755
index 0000000..5b159ae
--- /dev/null
+++ b/desktop-file.prov
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Transform desktop mimetype info into RPM mimehandler(type) provides
+#
+# Author: Richard Hughes <richard@hughsie.com>
+# Based on other provides scripts from RPM
+
+OLD_IFS="$IFS"
+while read instfile ; do
+ case "$instfile" in
+ *.desktop)
+ if ! grep -q '^Type=Application$' "$instfile"; then continue; fi
+ if ! grep -q '^Exec=' "$instfile"; then continue; fi
+ mime=`grep '^MimeType=' "$instfile" | cut -d'=' -f2`
+ IFS=';'
+ for type in $mime ; do
+ echo 'mimehandler('$type')'
+ done
+ ;;
+ esac
+done
+IFS=$OLD_IFS
+